File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxgc.c File Reference

`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxgc.h"`
`#include "dmxgcops.h"`
`#include "dmxpixmap.h"`
`#include "dmxfont.h"`
`#include "gcstruct.h"`
`#include "pixmapstr.h"`
`#include "migc.h"`

## Functions
Bool | dmxInitGC (ScreenPtr pScreen)
void | dmxBECreateGC (ScreenPtr pScreen, GCPtr pGC)
Bool | dmxCreateGC (GCPtr pGC)
void | dmxValidateGC (GCPtr pGC, unsigned long changes, DrawablePtr pDrawable)
void | dmxChangeGC (GCPtr pGC, unsigned long mask)
void | dmxCopyGC (GCPtr pGCSrc, unsigned long changes, GCPtr pGCDst)
Bool | dmxBEFreeGC (GCPtr pGC)
void | dmxDestroyGC (GCPtr pGC)
void | dmxChangeClip (GCPtr pGC, int type, pointer pvalue, int nrects)
void | dmxDestroyClip (GCPtr pGC)
void | dmxCopyClip (GCPtr pGCDst, GCPtr pGCSrc)

## Detailed Description

This file provides support for GCs.

## Function Documentation

void dmxBECreateGC | ( | ScreenPtr | pScreen,
|  | GCPtr | pGC
| ) |

| Create the GC on the back-end server.

Bool dmxBEFreeGC | ( | GCPtr | pGC | ) |

| Free the pGC on the back-end server.

void dmxChangeClip | ( | GCPtr | pGC,
|  | int | type,
|  | pointer | pvalue,
|  | int | nrects
| ) |

| Change the clip rects for a GC.

void dmxChangeGC | ( | GCPtr | pGC,
|  | unsigned long | mask
| ) |

| Set the values in the graphics context on the back-end server associated with pGC's screen.

void dmxCopyClip | ( | GCPtr | pGCDst,
|  | GCPtr | pGCSrc
| ) |

| Copy a GC's clip rects.

void dmxCopyGC | ( | GCPtr | pGCSrc,
|  | unsigned long | changes,
|  | GCPtr | pGCDst
| ) |

| Copy pGCSrc to pGCDst on the back-end server associated with pGCSrc's screen.

Bool dmxCreateGC | ( | GCPtr | pGC | ) |

| Create a graphics context on the back-end server associated /a pGC's screen.

void dmxDestroyClip | ( | GCPtr | pGC | ) |

| Destroy a GC's clip rects.

void dmxDestroyGC | ( | GCPtr | pGC | ) |

| Destroy the graphics context, pGC and free the corresponding GC on the back-end server.

Bool dmxInitGC | ( | ScreenPtr | pScreen | ) |

| Initialize the GC on pScreen, which currently involves allocating the GC private associated with this screen.

void dmxValidateGC | ( | GCPtr | pGC,
|  | unsigned long | changes,
|  | DrawablePtr | pDrawable
| ) |

| Validate a graphics context, pGC, locally in the DMX server and recompute the composite clip, if necessary.